textures/esa/ksky
{
      qer_editorimage textures/esa/ksky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_sunExt 248 232 190 450 130 55 3 16
      q3map_lightRGB 248 232 190 
      q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
      q3map_backsplash 0 0

        skyparms env/esa/ksky - -
 {
		map env/esa/ksky/kskyclouds.jpg
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
		
	}
}

textures/esa/skyblue 
{
      qer_editorimage textures/esa/skyblue
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
      q3map_sunExt 248 232 190 450 130 55 3 16
      q3map_lightRGB 248 232 190 
      q3map_lightmapFilterRadius 0 64	
	q3map_skylight 325 3
      q3map_backsplash 0 0

        skyparms env/esa/skyblue - -
 {
		map env/esa/skyblue/skybluelight.jpg  
		tcMod scale 3 3
		//tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
		
	}
}

textures/shadermanual/sky
{
	skyparms textures/shaderlab_terrain/env/sky 1024 -

	q3map_lightImage textures/shaderlab_terrain/sky_clouds.tga

	q3map_sunExt 1 1 1 140 -35 25 3 16
	q3map_lightmapFilterRadius 0 8		//self other
	q3map_skyLight 100 3

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps

	qer_editorimage textures/shaderlab_terrain/sky_clouds.tga

	{
		map textures/shaderlab_terrain/sky_clouds.tga
		tcMod scale 3 3
		//tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/shaderlab_terrain/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}




textures/esa/skynight 
{
    qer_editorimage textures/esa/skynight/skynight_ft.jpg
    surfaceparm noimpact
    surfaceparm nolightmap
    q3map_globaltexture    
    surfaceparm sky
    q3map_skylight 10 1
    skyparms textures/esa/skynight/skynight - -
}


//drapeau pinup
textures/esa/pinup
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
    sort banner


	{ 
   		
        map textures/esa/pinup.jpg
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
   		depthwrite   
	} 
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen vertex
	}


}

textures/esa/d_blue2
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	  deformVertexes wave 100 sin 0 3 0 .7
        //deformVertexes normal 0.2 2
	  sort banner
        {
                map textures/esa/d_blue.jpg
                blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}

//drapeau bleu
textures/esa/d_blue
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
    	sort banner
	{ 
        	map textures/esa/d_blue.jpg
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
//   		depthwrite   
		rgbGen vertex
	} 
//	{
//		map $lightmap 
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//		rgbGen vertex
//	}
}

textures/esa/d_red2
{
        cull disable
        surfaceparm nolightmap
        surfaceparm alphashadow
	  tessSize 64
	    deformVertexes wave 100 sin 0 3 0 .7
          //deformVertexes normal 0.2 2
		sort banner
        {
                map textures/esa/d_red.jpg
                 blendfunc gl_src_alpha gl_one_minus_src_alpha
                alphaFunc GE128
                rgbGen vertex
         }
}


//drapeau rouge
textures/esa/d_red
{ 
	surfaceparm alphashadow
	cull none  
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	nopicmip 
	nomipmaps
	tessSize 64
	deformVertexes wave 100 sin 0 3 0 .7
    sort banner
	{ 
   		
        map textures/esa/d_red.jpg
   		alphaFunc GE128  
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
//   		depthwrite   
		rgbGen vertex
	} 
//	{
//		map $lightmap 
//		blendFunc GL_DST_COLOR GL_ZERO
//		depthFunc equal
//		rgbGen vertex
//	}
}

textures/esa/dirt_mirror
{
	nopicmip
	qer_editorimage textures/esa/dirt_mirror.jpg
	surfaceparm nolightmap
	portal
	{
		map textures/esa/mirror.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
    {
        map textures/esa/dirt_mirror.jpg
        blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
    }

}


textures/esa/glass_blue
{
	qer_editorimage textures/esa/glass_blue
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/glass/blueglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/esa/glass_dark
{
	qer_editorimage textures/esa/glass_dark
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/esa/darkglass.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/esa/Light_flare
{
    deformVertexes autosprite
    surfaceparm   trans
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight   3000   
	cull none

   {
		map textures/ut/ut_suburb3/corona_red.tga
		blendFunc GL_ONE GL_ONE
		rgbGen identityLighting
   }

}

textures/esa/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

// Playerclip & Weapon material
textures/esa/pwclip
{
	qer_trans 0.5
	surfaceparm nonsolid
	surfaceparm nodraw
	surfaceparm weaponclip
	surfaceparm playerclip
}

textures/esa/graph
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/graph.tga
	   blendfunc filter
	}
}

textures/esa/graph2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/graph2.tga
	   blendfunc filter
	}
}

textures/esa/graph_pinup
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/pinup_t.jpg
	   blendfunc filter
	}
}

textures/esa/bug_graph
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/bug_icon.jpg
	   blendfunc filter
	}
}

textures/esa/graph_sign1
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/sign1.jpg
	   blendfunc filter
	}
}

textures/esa/graph_sign2
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/sign2.jpg
	   blendfunc filter
	}
}

textures/esa/graph_sign3
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/sign3.jpg
	   blendfunc filter
	}
}

textures/esa/graph_signInf
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/signInf.jpg
	   blendfunc filter
	}
}

textures/esa/graph_signNucl
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/signNucl.jpg
	   blendfunc filter
	}
}

textures/esa/graph_signBioH
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/signBioH.jpg
	   blendfunc filter
	}
}

textures/esa/graph_signBeuh
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/signBeuh.jpg
	   blendfunc filter
	}
}

textures/esa/graph_signMasq
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/signMasq.jpg
	   blendfunc filter
	}
}

textures/esa/graph_signSigle
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/signSigle.jpg
	   blendfunc filter
	}
}

textures/esa/graph_sign27
{ 
	polygonOffset
	nomipmaps
	nopicmip
	{
       map textures/esa/sign27.jpg
	   blendfunc filter
	}
}


textures/esa/skystars // by TwentySeven (thx to him)
{
	qer_editorimage textures/esa/sky_stars.jpg
	  
	q3map_skylight 400 9
	q3map_lightRGB 197 255 240
	q3map_color 
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	nopicmip
	nomipmaps

	skyparms env/box271/box271 - -
}

// Bubbles Particle Shaders

textures/esa_bubbles/bubble_1
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -1.745047 4.237747 119.912453 sawtooth 0 1 1.951598 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.951598 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.951598 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.951598 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_2
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -2.403677 -4.548136 119.889694 sawtooth 0 1 0.311777 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.311777 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.311777 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.311777 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_3
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 5.409634 -2.139310 119.858902 sawtooth 0 1 1.232093 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.232093 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.232093 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.232093 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_4
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.311271 -4.861670 119.901077 sawtooth 0 1 0.539262 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.539262 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.539262 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.539262 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_5
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.043105 -5.364431 119.880035 sawtooth 0 1 1.795892 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.795892 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.795892 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.795892 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_6
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 1.960227 -0.131435 119.983910 sawtooth 0 1 1.226173 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.226173 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.226173 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.226173 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_7
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 5.456046 2.737057 119.844658 sawtooth 0 1 0.040651 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.040651 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.040651 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.040651 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_8
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 2.862460 -5.094085 119.857651 sawtooth 0 1 1.948058 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.948058 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 1.948058 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 1.948058 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_9
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -5.725561 0.995432 119.859192 sawtooth 0 1 0.411206 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.411206 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.411206 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.411206 0.333333
		blendfunc blend
	}
}

textures/esa_bubbles/bubble_10
{
	qer_editorimage textures/esa_bubbles/bubble.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -3.940976 2.732337 119.904144 sawtooth 0 1 0.107547 0.333333
	{
		clampmap textures/esa_bubbles/bubble.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.107547 0.333333
		rgbGen wave sawtooth 1.000000 0.000000 0.107547 0.333333
		tcMod stretch sawtooth 1.000000 0.000000 0.107547 0.333333
		blendfunc blend
	}
}

textures/esa/holo_guy
{
	qer_trans 0.4
	surfaceparm nonopaque
	surfaceparm nonsolid
	surfaceparm trans
	q3map_nolightmap
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	cull none
	deformvertexes autosprite2
	{
		clampmap textures/esa/holog.jpg
		blendFunc GL_ONE GL_ONE
		alphaGen const 0.4
		rgbGen wave sin 0.75 0.05 0 5
	}
}

textures/esa/beam_blue
{
	qer_editorimage textures/esa/beam_blue4.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	{
		map textures/esa/beam_blue4.tga
		tcMod Scroll .3 0
         blendFunc add
       }
     
}

textures/esa/vid3
{
	qer_editorimage textures/esa/vid.jpg
	surfaceparm nolightmap
	{
		videoMap m3.roq
		rgbGen identity
	}
}